# Sector Exposure `GET` `https://api.unusualwhales.com/api/institution/{name}/sectors` The sector exposure for a given institution. WARNING: Providing partial names e.g. "VANGUARD" might lead to unexpected results. To ensure you get the expected result, it is recommended to use the company CIK (e.g. 0000102909 for VANGUARD GROUP INC) as the name parameter. You can use endpoint "api/institutions" with a partial name like "VANGUARD" to get all matching institutions with their CIKs. If you are looking to build a database of insitutional positions use https://unusualwhales.com/skills/institutional.md ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `name` | Institution | Yes | A large entity that manages funds and investments for others. Queryable by name or cik. | ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `date` | Institutional Report End Date | No | A date in the format of YYYY-MM-DD, only institutional holdings with `report_date` values on or before this date will be returned. | | `limit` | Default 500 Max 500 Min 1 | No | How many items to return. Default: 500. Max: 500. Min: 1. | | `page` | Page | No | Page number (use with limit). Starts on page 0. | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `positions` | Positions | | | `positions_closed` | Positions Closed | | | `positions_decreased` | Positions Decreased | | | `positions_increased` | Positions Increased | | | `report_date` | General ISO Date | An ISO date. | | `sector` | Sector | A financial sector. | | `value` | Value | The rounded total value on the reporting date. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/institution/{name}/sectors" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/institution/{name}/sectors", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "positions": 5, "positions_closed": 1, "positions_decreased": 1, "positions_increased": 2, "report_date": "2024-09-30", "sector": "Technology", "value": "1948023952" }, { "positions": 7, "positions_closed": 4, "positions_decreased": 2, "positions_increased": 3, "report_date": "2024-09-30", "sector": "Basic Materials", "value": "43952" } ] } ```